Subject: Re: bug#15086: 24.3.50; NS variant does not build on PPC Tiger because of missing qualifier before 'vector'

From: Jan Djärv <[email-masked]>
Date: Tue, 13 Aug 2013 17:47:09 +0200

Hello.

I've checked in an attemted fix.  I can't check it as 10.4 is really old and I don't have any around.

	Jan D.

13 aug 2013 kl. 13:17 skrev Peter Dyballa <[email-masked]>:

> Hello!
> 
> When nsterm.m is compiled errors occur:
> 
> In file included from /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/DriverServices.h:32,
>                 from /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/CarbonCore.h:125,
>                 from /System/Library/Frameworks/CoreServices.framework/Headers/CoreServices.h:21,
>                 from /System/Library/Frameworks/ApplicationServices.framework/Headers/ApplicationServices.h:20,
>                 from /System/Library/Frameworks/Foundation.framework/Headers/NSAppleEventDescriptor.h:8,
>                 from /System/Library/Frameworks/Foundation.framework/Headers/Foundation.h:104,
>                 from /System/Library/Frameworks/AppKit.framework/Headers/AppKit.h:10,
>                 from nsgui.h:34,
>                 from dispextern.h:78,
>                 from nsterm.h:21,
>                 from nsterm.m:48:
> /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/MachineExceptions.h:115: error: expected specifier-qualifier-list before 'vector'
> 
> In file included from nsterm.m:48:
> nsterm.h:59: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'EmacsCGFloat'
> nsterm.h:364: error: expected specifier-qualifier-list before 'CGFloat'
> 
> nsterm.m: In function 'ns_color_to_lisp':
> nsterm.m:1596: error: 'EmacsCGFloat' undeclared (first use in this function)
> nsterm.m:1596: error: (Each undeclared identifier is reported only once
> nsterm.m:1596: error: for each function it appears in.)
> nsterm.m:1596: error: expected ';' before 'red'
> nsterm.m:1611: error: 'red' undeclared (first use in this function)
> nsterm.m:1611: error: 'green' undeclared (first use in this function)
> nsterm.m:1611: error: 'blue' undeclared (first use in this function)
> nsterm.m:1611: error: 'alpha' undeclared (first use in this function)
> nsterm.m:1615: error: 'gray' undeclared (first use in this function)
> nsterm.m: In function 'ns_query_color':
> nsterm.m:1638: error: 'EmacsCGFloat' undeclared (first use in this function)
> nsterm.m:1638: error: expected ';' before 'r'
> nsterm.m:1640: error: 'r' undeclared (first use in this function)
> nsterm.m:1640: error: 'g' undeclared (first use in this function)
> nsterm.m:1640: error: 'b' undeclared (first use in this function)
> nsterm.m:1640: error: 'a' undeclared (first use in this function)
> nsterm.m: At top level:
> nsterm.m:2561: error: expected declaration specifiers or '...' before 'EmacsCGFloat'
> nsterm.m:2561: error: expected declaration specifiers or '...' before 'EmacsCGFloat'
> nsterm.m: In function 'ns_draw_underwave':
> nsterm.m:2571: error: 'x' undeclared (first use in this function)
> nsterm.m:2571: error: 'width' undeclared (first use in this function)
> nsterm.m:2579: error: 'EmacsCGFloat' undeclared (first use in this function)
> nsterm.m:2579: error: expected ';' before numeric constant
> nsterm.m: In function 'ns_draw_text_decoration':
> nsterm.m:2623: error: too many arguments to function 'ns_draw_underwave'
> nsterm.m: In function '-[EmacsView conversationIdentifier]':
> nsterm.m:5333: warning: conflicting types for '-(NSInteger)conversationIdentifier'
> /System/Library/Frameworks/AppKit.framework/Headers/NSInputManager.h:23: warning: previous declaration of '-(long int)conversationIdentifier'
> nsterm.m: In function '-[EmacsView initFrameFromEmacs:]':
> nsterm.m:5921: error: 'EmacsCGFloat' undeclared (first use in this function)
> nsterm.m:5921: error: expected ')' before numeric constant
> nsterm.m: In function '-[EmacsView windowDidExitFullScreen:]':
> nsterm.m:6117: warning: 'EmacsView' may not respond to '-updateCollectionBehaviour'
> nsterm.m:6117: warning: (Messages without a matching method signature
> nsterm.m:6117: warning: will be assumed to return 'id' and accept
> nsterm.m:6117: warning: '...' as arguments.)
> nsterm.m: In function '-[EmacsView toggleFullScreen:]':
> nsterm.m:6178: warning: 'NSWindow' may not respond to '-toggleFullScreen:'
> nsterm.m:6225: error: 'EmacsCGFloat' undeclared (first use in this function)
> nsterm.m:6225: error: expected ')' before numeric constant
> nsterm.m:6263: error: expected ')' before numeric constant
> nsterm.m: In function '-[EmacsScroller mouseDown:]':
> nsterm.m:7126: error: 'last_mouse_offset' undeclared (first use in this function)
> nsterm.m: In function '-[EmacsScroller mouseDragged:]':
> nsterm.m:7170: error: 'last_mouse_offset' undeclared (first use in this function)
> make[2]: *** [nsterm.o] Error 1
> make[1]: *** [src] Error 2
> make: *** [bootstrap] Error 2
> 
> Mac OS X 10.4.11, PPC, with powerpc-apple-darwin8-gcc-4.0.1 (GCC) 4.0.1 (Apple Computer, Inc. build 5370).
> 
> --
> Greetings
> 
>  Pete
> 
> Who the fsck is "General Failure," and why is he reading my disk?
> 
> 
>